%define name	nxtvepg
%define Name	Nxtvepg
%define summary NexTView EPG decoder and browser	
%define version 2.7.0
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icon-16.png
Source2:	%{name}-icon-32.png
Source3:	%{name}-icon-48.png
URL:		http://prdownloads.sourceforge.net/nxtvepg/nxtvepg-%{version}.tar.bz2
Group:		Video	
BuildRequires:	XFree86-devel tk
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is a decoder and browser for nexTView - an Electronic TV Programme Guide
for the analog domain (as opposed to the various digital EPGs that come with
most digital broadcasts). It allows you to decode and browse TV programme
listings for most of the major networks in Germany, Austria, France and
Switzerland.

Currently Nextview EPG is transmitted by:
- in Germany and Austria: Kabel1, 3Sat, RTL-II.
- in Switzerland: SF1, TSR1, TSI1, EuroNews.
- in France: Canal+, M6.
- in Turkey: TRT.

If you don't receive any of those, then this software unfortunately is
almost useless to you, except for a demo mode. For more details please
refer to the documentation in the "Help" menus or the UNIX manual page.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
make prefix="%{prefix}"

%install

export resdir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/

make prefix=$RPM_BUILD_ROOT%_prefix resdir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/ mandir=$RPM_BUILD_ROOT%_mandir/man1 install 

strip  %{buildroot}%{_bindir}/nxtvepg
chmod 644 CHANGES README
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 nxtvepg.1 %{buildroot}%{_mandir}/man1/
bzip2 $RPM_BUILD_ROOT%_mandir/man1/*

# remove unwanted file
rm -rf $RPM_BUILD_ROOT%_prefix/man/man1/*

# menu
install %{SOURCE1} -D -m 644 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install %{SOURCE2} -D -m 644 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install %{SOURCE3} -D -m 644 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	icon="%{name}.png" \
	needs="x11" \
	section="Multimedia/Video" \
	title="%{Name}" \
	longtitle="%{summary}"
EOF
			
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README CHANGES COPYRIGHT TODO nxtvepg.pod pod2help.pl manual.html
%{_bindir}/nxtvepg
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%_prefix/X11R6/lib/X11/app-defaults/*
%attr(644,root,root) %{_mandir}/man1/*

%changelog
* Tue Jun 15 2004 Laurent Culioli <laurent@mandrake.org> 2.7.0-1mdk
- 2.7.0

* Thu Feb 12 2004 David Baudens <baudens@mandrakesoft.com> 2.6.0-2mdk
- Fix menu

* Sun Oct 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0

* Sat Aug 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.2-1mdk
- Release 2.5.2

* Fri Jul 11 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-2mdk
- rebuild for new libtcl

* Tue Mar 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-1mdk
- 2.5.0

* Sun Oct 20 2002 Laurent Culioli <laurent@pschit> 2.3.1-1mdk
- initial package
